RG::Reprof(3pm)

NAME
RG::Reprof::Reprof - protein secondary structure and accessibility predictor

SYNOPSIS
use RG::Reprof::Reprof;

DESCRIPTION
See module commented source for further details.

  Methods

OBJ RG::Reprof::Reprof->new( model_dir => PATH )
    Default model_dir: /tmp/lkajan/root/share/reprof.

    Returns new instance of RG::Reprof::Reprof.

int $OBJ->run( input_file => PATH, out_file => PATH, mutation_file => PATH, specific_models => hashref, output_func => coderef )
    out_file may be a directory.
    mutation_file may be undefined.
    specific_models may be undefined.
        This is a hash of model and feature files with 'model_name' keys like:

         {
           'fub_model' => '/path/to/model_file',
           'fub_features' => '/path/to/features_file'
         }

        Check the module source for the list for model names.

    void output_func( out_file, sec_pred, acc_pred, sequence ) - function to call when output is ready.
        If undefined, the built-in write_output() function is called that prints results to one or more files. The following positional parameters are passed to this function:

        out_file
            Output file name.

        sec_pred
            Secondary structure prediction, see source for details.

        acc_pred
            Accessibility prediction, see source for details.

        sequence
            Reference to array of residues of input sequence (e.g. [ 'M', 'A', 'G', ... ] ).

AUTHOR
Original version by Peter Hoenigschmid <hoenigschmid@rostlab.org> and Burkhard Rost.

Some perl module work and documentation by Laszlo Kajan <lkajan@rostlab.org>.

SEE ALSO
<http://rostlab.org/>